#ifndef PLUGIN_DEPS_H
#define PLUGIN_DEPS_H

#include <qtimer.h>
#include <qobject.h>
class Visualization;


class TimerThingy : public QObject
{
Q_OBJECT
public:
	TimerThingy(Visualization*);

public slots:
	void timeout();

public:
	QTimer *mTimer;

private:
	Visualization *mVis;
};


#endif

